PUT /api/v202501/flag/flagIssue/{entityType}/{entityId}

EditFlagIssuesV202501 Permissions: FlaggedItems (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
entityType The type of entity the flag issues are being request for. Supported values are: “Bill” string Required
entityId The identifier of the entity integer (int32) Required

Query Parameters

Name Description Type Required
flagResolveComment Optional comment that will be recorded in the flag event when resolving the issue string Optional

Request Body

Array of:

FlagIssueEdit
Property Description Type
assignees All users currently assigned to this flag issue Required (defined) integer[]
comment Comment about the flag issue Required (defined) string
flagIssueId The flag issue identifier Required (defined) integer (int32)
flagIssueStatusId Current status of the flag issue Must be a valid value for FlagStatusEnum: Unresolved = 1, Resolved = 2 Required (defined) integer (int32)
Example Request Body application/json
[
  {    "assignees": [
      1
    ],    "comment": "string",    "flagIssueId": 1,    "flagIssueStatusId": 1
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

FlagIssueResponse
Property Description Type
assignees All users currently assigned to this issue UserChild[]
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
flagIssueEvents All events and actions that have occurred with this issue FlagIssueEventChild[]
FlagIssueEventChild properties
Property Description Type
comment Comment about the flag issue event string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate Date that this flag issue event was created string (date-time)
description Description of the flag issue event string
flagIssueAction FlagIssueActionChild
FlagIssueActionChild properties
Property Description Type
flagIssueActionId The flag issue action identifier integer (int32)
flagIssueActionInfo Flag issue action information string
flagIssueEventId The flag issue event identifier integer (int32)
flagIssueId The flag issue identifier integer (int32)
flagIssueStatus FlagIssueStatusChild
FlagIssueStatusChild properties
Property Description Type
flagIssueStatusId The flag issue status identifier integer (int32)
flagIssueStatusInfo Flag issue status information string
flagIssueType FlagIssueTypeChild
FlagIssueTypeChild properties
Property Description Type
flagIssueCategory Flag issue category string
flagIssueTypeDescription More detailed description of the flag issue type string
flagIssueTypeId The flag issue type identifier integer (int32)
flagIssueTypeInfo Flag issue info string
Example Response application/json
[
  {    "assignees": [
      {      "fullName": "string",      "userCode": "string",      "userId": 1
    }
    ],    "flagIssueEvents": [
      {      "comment": "string",      "createdBy": {},      "createdDate": "2026-03-30",      "description": "string",      "flagIssueAction": {},      "flagIssueEventId": 1
    }
    ],    "flagIssueId": 1,    "flagIssueStatus": {      "flagIssueStatusId": 1,      "flagIssueStatusInfo": "string"
    },    "flagIssueType": {      "flagIssueCategory": "string",      "flagIssueTypeDescription": "string",      "flagIssueTypeId": 1,      "flagIssueTypeInfo": "string"
    }
  }
]